# Webhooks

Manage incoming and outgoing webhooks for external system integration.

**Base URL:** `https://api.trustpager.com/functions/v1/api/v1`

## Endpoints

### GET /webhooks/incoming

List incoming webhooks.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-incoming.md)

### GET /webhooks/incoming/:id

Retrieve an incoming webhook.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-incoming-id.md)

### POST /webhooks/incoming

Create an incoming webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/post-webhooks-incoming.md)

### PATCH /webhooks/incoming/:id

Update an incoming webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/patch-webhooks-incoming-id.md)

### DELETE /webhooks/incoming/:id

Delete an incoming webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/delete-webhooks-incoming-id.md)

### GET /webhooks/outgoing

List outgoing webhooks.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-outgoing.md)

### GET /webhooks/outgoing/:id

Retrieve an outgoing webhook.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-outgoing-id.md)

### POST /webhooks/outgoing

Create an outgoing webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/post-webhooks-outgoing.md)

### PATCH /webhooks/outgoing/:id

Update an outgoing webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/patch-webhooks-outgoing-id.md)

### DELETE /webhooks/outgoing/:id

Delete an outgoing webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/delete-webhooks-outgoing-id.md)

### POST /webhooks/outgoing/:id/test

Send a test event to an outgoing webhook.

**Scopes:** `webhooks:write` — [full detail](./webhooks/post-webhooks-outgoing-id-test.md)

### GET /webhooks/outgoing/:id/logs

View delivery logs for an outgoing webhook.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-outgoing-id-logs.md)

### GET /webhooks/subscriptions

List webhook event subscriptions.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-subscriptions.md)

### POST /webhooks/subscriptions

Subscribe to webhook events. url, events array, and secret are required.

**Scopes:** `webhooks:write` — [full detail](./webhooks/post-webhooks-subscriptions.md)

### PATCH /webhooks/subscriptions/:id

Update a webhook subscription.

**Scopes:** `webhooks:write` — [full detail](./webhooks/patch-webhooks-subscriptions-id.md)

### DELETE /webhooks/subscriptions/:id

Delete a webhook subscription.

**Scopes:** `webhooks:write` — [full detail](./webhooks/delete-webhooks-subscriptions-id.md)

### GET /webhooks/subscriptions/:id/logs

List delivery logs for a webhook subscription.

**Scopes:** `webhooks:read` — [full detail](./webhooks/get-webhooks-subscriptions-id-logs.md)
